<div class="dash-top">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h4 class="bldr">Metrics</h4>
            </div>
        </div>
    </div>
</div>
<div class="card-slider-outer">
    <div class="card-slider">
        <owl-carousel-o [options]="customOptions">

           <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left bldr">Jobs Taken</div>
                                        <div class="col-6 text-right"><span class="prpl">{{hiredJob.length}}</span></div>
                                    </div>
                                </div>
 
                                <div class="card-job" *ngFor ='let hire of hiredJob'>
                                    <div class="row card-list-row">
                                    <div class="col-6 text-left">{{hire?.jobRoleName}}</div>

                                        <!-- <div class="col-6 text-right"><i class="far fa-arrow-alt-circle-right"></i>
                                        </div> -->
                                        <div class="col-6 text-right"
                                        (click)="viewJob(hire.employerId , hire.jobId , hire.jobRoleId)">
                                        <i class="far fa-arrow-alt-circle-right"></i>
                                    </div>

                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left"></div>
                                    <div class="col-6 text-right">{{hire?.locationName}}</div>

                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left"></div>
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>

                                <!-- <div class="card-job">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Job Role</div>
                                        <div class="col-6 text-right"><i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Duration</div>
                                        <div class="col-6 text-right">Location</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Start Date - End Date</div>
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>  -->

                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>
            
            <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left bldr">Overall Ratings</div>
                                        <div class="col-6 text-right"><span class="prpl">{{allRatingAvg?allRatingAvg.allRatingAvg:0}}</span></div>
                                    </div>
                                </div>

                                <div class="card-job" *ngFor="let item of allRatings?.results;  let n = index">
                                    <div class="row card-list-row">
                                        <div class="col-4 text-left">{{item.jobRoleName}}</div>
                                        <div class="col-4 text-left">
                                            <div class="r-star">
                                                <ul class="rating inline-ul">
                                                    <li *ngFor="let star of stars; let i = index">                                  
                                                        <i class="fas fa-star" *ngIf="item.rating >= i + 0.5; else emptyStar"
                                                            [ngClass]="{'fa-star-half-alt': item.rating >= i + 0.5 && item.rating < i + 1,
                                                            'fa-star': item.rating >= i + 1}">
                                                        </i>
                                                        </li>
                                                        <span> ({{item.rating}}) </span>
                                                    </ul>
                                                <ng-template #emptyStar>
                                                    <i class="far fa-star"></i>
                                                </ng-template>                                                
                                            </div>
                                        </div>
                                        <div class="col-4 text-right"><a href="JavaScript:Void(0);"
                                                class="underline-link" (click)="toggle(n)"
                                              [attr.aria-controls]="'collapseBasic'+n"> {{hideRuleContent[n] ? 'Hide' : 'Read More'}}</a></div>
                                        <div [id]="'collapseBasic'+n" *ngIf="hideRuleContent[n]"
                                            class="card card-block card-header" class="col-12 text-left"
                                            style="padding-top:10px;">{{item.review}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>

            <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left bldr">Offered but not taken</div>
                                        <div class="col-6 text-right"><span
                                                class="prpl">{{declinedJobList.length}}</span></div>
                                    </div>
                                </div>

                                <div class="card-job" *ngFor="let declinedJobs of declinedJobList">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">{{declinedJobs.jobRoleName}}</div>
                                        <div class="col-6 text-right"
                                            (click)="viewJob(declinedJobs.employerId , declinedJobs.jobId , declinedJobs.jobRoleId)">
                                            <i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Duration</div> -->
                                        <div class="col-6 text-left">{{declinedJobs.industryName}}</div>
                                        <div class="col-6 text-right">{{declinedJobs.locationName}}</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Start Date - End Date</div> -->
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>

                                <!-- <div class="card-job">
                            <div class="row card-list-row">
                                <div class="col-6 text-left">Job Role</div>
                                <div class="col-6 text-right"><i class="far fa-arrow-alt-circle-right"></i></div>
                            </div>
                            <div class="row card-list-row">
                                <div class="col-6 text-left">Duration</div>
                                <div class="col-6 text-right">Location</div>
                            </div>
                            <div class="row card-list-row">
                                <div class="col-6 text-left">Start Date - End Date</div>
                                <div class="col-6 text-right"></div>
                            </div>
                          </div> -->


                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>

          <!--   <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left">Jobs Rejected</div>
                                        <div class="col-6 text-right"><span class="prpl">0</span></div>
                                    </div>
                                </div>

                                <div class="card-job">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Job Role</div>
                                        <div class="col-6 text-right"><i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Duration</div>
                                        <div class="col-6 text-right">Location</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Start Date - End Date</div>
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </ng-template> -->

        <!--     <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left">Jobs Completed</div>
                                        <div class="col-6 text-right"><span class="prpl">0</span></div>
                                    </div>
                                </div>

                                <div class="card-job">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Job Role</div>
                                        <div class="col-6 text-right"><i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Duration</div>
                                        <div class="col-6 text-right">Location</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">Start Date - End Date</div>
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div> 

                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>-->

            <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left bldr">Jobs Applied</div>
                                        <div class="col-6 text-right"><span
                                                class="prpl">{{appliedJobList.length}}</span></div>
                                    </div>
                                </div>

                                <div class="card-job" *ngFor="let appliedJobs of appliedJobList">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left">{{appliedJobs.jobRoleName}}</div>
                                        <div class="col-6 text-right"
                                            (click)="viewJob(appliedJobs.employerId , appliedJobs.jobId , appliedJobs.jobRoleId)">
                                            <i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Duration</div> -->
                                        <div class="col-6 text-left">{{appliedJobs.industryName}}</div>
                                        <div class="col-6 text-right">{{appliedJobs.locationName}}</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Start Date - End Date</div> -->
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>
            <ng-template carouselSlide>
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card-slider-inr">
                                <div class="shft-job">
                                    <div class="row">
                                        <div class="col-6 text-left bldr">Jobs Accepted</div>
                                        <div class="col-6 text-right"><span
                                                class="prpl">{{acceptedJobList.length}}</span></div>
                                    </div>
                                </div>

                                <div class="card-job" *ngFor="let acceptedJobs of acceptedJobList">
                                    <div class="row card-list-row">
                                        <div class="col-6 text-left"> {{acceptedJobs.jobRoleName}} </div>
                                        <div class="col-6 text-right"
                                            (click)="viewJob(acceptedJobs.employerId , acceptedJobs.jobId , acceptedJobs.jobRoleId)">
                                            <i class="far fa-arrow-alt-circle-right"></i>
                                        </div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Duration</div> -->
                                        <div class="col-6 text-left">{{acceptedJobs.industryName}}</div>
                                        <div class="col-6 text-right">{{acceptedJobs.locationName}}</div>
                                    </div>
                                    <div class="row card-list-row">
                                        <!-- <div class="col-6 text-left">Start Date - End Date</div> -->
                                        <div class="col-6 text-right"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>
        </owl-carousel-o>
    </div>
</div>